<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| JQuery Slideshow Photos Panel With Lightbox
| for PHP-Fusion v7
| By SoulSmasher - http://www.soulsmasher.net
| this panel uses jquery cycle lite plugin by malsup.com
| http://malsup.com/jquery/cycle/lite/
+----------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+----------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."slideshow_lightbox_photos_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."slideshow_lightbox_photos_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."slideshow_lightbox_photos_panel/locale/English.php";
}


if (!defined("SAFESLIDE")) { @define("SAFESLIDE", @ini_get("safe_mode") ? true : false); }


add_to_head("<style type=\"text/css\">.pics { height: 132px; width: 132px; padding:0; margin:0; overflow: hidden }
.pics img { height: 100px; width: 100px; padding: 15px; border: 1px solid #ccc; background-color: #eee; top:0; left:0 }
</style>
<script type=\"text/javascript\" src=\"".INFUSIONS."slideshow_lightbox_photos_panel/jquery.cycle.all.pack.js\"></script>
<script type=\"text/javascript\">$(function() {
$('#soulshow').cycle({
fx: 'fade',
timeout: 2000
});
});</script>");
add_to_head("<script type=\"text/javascript\" src=\"".INFUSIONS."slideshow_lightbox_photos_panel/jquery_lightbox/js/jquery.lightbox.packed.js\"></script>");

openside($locale['slpp_01']);

$panel_name = "Galeriden..";

$result = dbquery("SELECT * FROM ".DB_PHOTOS." ORDER BY rand() DESC LIMIT 0,10");
if (dbrows($result) != 0) {

echo "<center><div id='soulshow' class='pics'>\n";
	while($data = dbarray($result)) {
	$photodir=SAFESLIDE?PHOTOS:PHOTOS."album_".$data['album_id']."/";
	/*if (SAFESLIDE) {
		$photodir=PHOTOS;
		} else {
		$photodir=PHOTOS."album_".$data['album_id']."/";
		}*/
		if ($settings['photo_watermark']) {
			if ($settings['photo_watermark_save']) {
				$parts = explode(".", $data['photo_filename']);
				$wm_file1 = $parts[0]."_w1.".$parts[1];
				$wm_file2 = $parts[0]."_w2.".$parts[1];
				if (!file_exists($photodir.$wm_file1)) {
					if ($data['photo_thumb2']) { $photo_thumb = "photo.php?photo_id=".$data['photo_id']; }
					$photo_file = "photo.php?photo_id=".$data['photo_id'];
				} else {
					if ($data['photo_thumb2']) { $photo_thumb = $photodir.$wm_file1; }
					$photo_file = $photodir.$wm_file2;
				}
			} else {
				if ($data['photo_thumb2']) { $photo_thumb = "photo.php?photo_id=".$data['photo_id']; }
				$photo_file = $photodir."photo.php?photo_id=".$data['photo_id'];
			}
		} else {
			$photo_thumb = $data['photo_thumb2'] ? $photodir.$data['photo_thumb2'] : $photodir.$data['photo_thumb1'];
			$photo_file = $photodir.$data['photo_filename'];
		}
		echo "\n<a href=\"".$photo_file."\" rel='lightbox-slidesoul' title='".($data['photo_description']?parseubb($data['photo_description'], "b|i|u|center|small|url|mail|img|quote"):$photo_file)."'><img src='".$photo_thumb."' width='100' height='100' /></a>\n"; //sabit width art cycle da
	}
	echo "</div></center>";
	} else {
		echo $locale['slpp_02'];
	}
	//ltfen copyright silmeyiniz, please don't delete the copyright, it's against my license and copyright
	echo "<div style='text-align: right;'><a href='http://www.phpfusionturkiye.com/' target='_blank' title='PHP-Fusion Turkiye'>&#169;</a></div>";


closeside();
?>